package com.goldenwater.slgc.service;

import java.util.List;
import com.goldenwater.slgc.domain.AttDiscBase;

/** 消力池信息 Service */
public interface DiscService {
    /**
     * 查询消力池信息列表
     * 
     * @param attDiscBase 查询条件
     * @return 消力池信息列表
     */
    public List<AttDiscBase> selectAttDiscBaseList(AttDiscBase attDiscBase);

    /**
     * 通过消力池编码查询消力池信息
     * 
     * @param discCode 消力池编码
     * @return 消力池信息
     */
    public AttDiscBase selectAttDiscBaseById(String discCode);

    /**
     * 批量删除消力池信息
     * 
     * @param discCodes 消力池编码数组
     * @return 删除行数
     */
    public int deleteAttDiscBaseByIds(String[] discCodes);

    /**
     * 新增消力池信息
     * 
     * @param attDiscBase 消力池信息
     * @return 插入行数
     */
    public int insertAttDiscBase(AttDiscBase attDiscBase);

    /**
     * 修改消力池信息
     * 
     * @param attDiscBase 消力池信息
     * @return 更新行数
     */
    public int updateAttDiscBase(AttDiscBase attDiscBase);
}
